export default annulus;
export type AnnulusOptions = {
    radius?: number;
    segments?: number;
    innerSegments?: number;
    theta?: number;
    thetaOffset?: number;
    innerRadius?: number;
    mapping?: Function;
};
/**
 * @typedef {object} AnnulusOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [innerSegments=16]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {number} [innerRadius=radius * 0.5]
 * @property {Function} [mapping=mappings.concentric]
 */
/**
 * @alias module:annulus
 * @param {AnnulusOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function annulus({ radius, segments, innerSegments, theta, thetaOffset, innerRadius, mapping, }?: AnnulusOptions, ...args: any[]): import("../types.js").SimplicialComplex;
