export default circle;
export type CircleOptions = {
    radius?: number;
    segments?: number;
    theta?: number;
    thetaOffset?: number;
    closed?: boolean;
};
/**
 * @typedef {object} CircleOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {boolean} [closed=false]
 */
/**
 * @alias module:circle
 * @param {CircleOptions} [options={}]
 * @returns {import("../types.js").BasicSimplicialComplex}
 */
declare function circle({ radius, segments, theta, thetaOffset, closed, }?: CircleOptions, ...args: any[]): import("../types.js").BasicSimplicialComplex;
