export default cone;
export type ConeOptions = {
    height?: number;
    radius?: number;
    nx?: number;
    ny?: number;
    capSegments?: number;
    capBase?: boolean;
    phi?: number;
};
/**
 * @typedef {object} ConeOptions
 * @property {number} [height=1]
 * @property {number} [radius=0.25]
 * @property {number} [nx=16]
 * @property {number} [ny=1]
 * @property {number} [capSegments=1]
 * @property {boolean} [capBase=true]
 * @property {number} [phi=TAU]
 */
/**
 * @alias module:cone
 * @param {ConeOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function cone({ height, radius, nx, ny, capSegments, capBase, phi }?: ConeOptions, ...args: any[]): import("../types.js").SimplicialComplex;
