export default disc;
export type DiscOptions = {
    radius?: number;
    segments?: number;
    innerSegments?: number;
    theta?: number;
    thetaOffset?: number;
    mapping?: Function;
};
/**
 * @typedef {object} DiscOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [innerSegments=16]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {Function} [mapping=mappings.concentric]
 */
/**
 * @alias module:disc
 * @param {DiscOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function disc({ radius, segments, innerSegments, theta, thetaOffset, mapping, }?: DiscOptions, ...args: any[]): import("../types.js").SimplicialComplex;
