export default ellipse;
export type EllipseOptions = {
    sx?: number;
    sy?: number;
    radius?: number;
    segments?: number;
    innerSegments?: number;
    theta?: number;
    thetaOffset?: number;
    mapping?: Function;
};
/**
 * @typedef {object} EllipseOptions
 * @property {number} [sx=1]
 * @property {number} [sy=0.5]
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [innerSegments=16]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {Function} [mapping=mappings.elliptical]
 */
/**
 * @alias module:ellipse
 * @param {EllipseOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function ellipse({ sx, sy, radius, segments, innerSegments, theta, thetaOffset, mapping, equation, }?: EllipseOptions, ...args: any[]): import("../types.js").SimplicialComplex;
