export default plane;
export type PlaneOptions = {
    sx?: number;
    sy?: number;
    nx?: number;
    ny?: number;
    direction?: PlaneDirection;
    quads?: boolean;
};
export type PlaneDirection = "x" | "-x" | "y" | "-y" | "z" | "-z";
/**
 * @typedef {object} PlaneOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [nx=1]
 * @property {number} [ny=nx]
 * @property {PlaneDirection} [direction="z"]
 * @property {boolean} [quads=false]
 */
/**
 * @typedef {"x" | "-x" | "y" | "-y" | "z" | "-z"} PlaneDirection
 */
/**
 * @alias module:plane
 * @param {PlaneOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function plane({ sx, sy, nx, ny, direction, quads, }?: PlaneOptions, ...args: any[]): import("../types.js").SimplicialComplex;
