export default reuleux;
export type ReuleuxOptions = {
    radius?: number;
    segments?: number;
    innerSegments?: number;
    theta?: number;
    thetaOffset?: number;
    mapping?: Function;
    n?: number;
};
/**
 * @typedef {object} ReuleuxOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [innerSegments=16]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {Function} [mapping=mappings.concentric]
 * @property {number} [n=3]
 */
/**
 * @see [Parametric equations for regular and Reuleaux polygons]{@link https://tpfto.wordpress.com/2011/09/15/parametric-equations-for-regular-and-reuleaux-polygons/}
 *
 * @alias module:reuleux
 * @param {ReuleuxOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function reuleux({ radius, segments, innerSegments, theta, thetaOffset, mapping, n, }?: ReuleuxOptions, ...args: any[]): import("../types.js").SimplicialComplex;
