export default roundedRectangle;
export type RoundedCubeOptions = {
    sx?: number;
    sy?: number;
    nx?: number;
    ny?: number;
    radius?: number;
    roundSegments?: number;
    edgeSegments?: number;
};
/**
 * @typedef {object} RoundedCubeOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [nx=1]
 * @property {number} [ny=nx]
 * @property {number} [radius=sx * 0.25]
 * @property {number} [roundSegments=8]
 * @property {number} [edgeSegments=1]
 */
/**
 * @alias module:roundedRectangle
 * @param {RoundedCubeOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function roundedRectangle({ sx, sy, nx, ny, radius, roundSegments, edgeSegments, }?: RoundedCubeOptions, ...args: any[]): import("../types.js").SimplicialComplex;
