export default torus;
export type TorusOptions = {
    radius?: number;
    segments?: number;
    minorRadius?: number;
    minorSegments?: number;
    theta?: number;
    thetaOffset?: number;
    phi?: number;
    phiOffset?: number;
};
/**
 * @typedef {object} TorusOptions
 * @property {number} [radius=0.4]
 * @property {number} [segments=64]
 * @property {number} [minorRadius=0.1]
 * @property {number} [minorSegments=32]
 * @property {number} [theta=TAU]
 * @property {number} [thetaOffset=0]
 * @property {number} [phi=TAU]
 * @property {number} [phiOffset=0]
 */
/**
 * @alias module:torus
 * @param {TorusOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function torus({ radius, segments, minorRadius, minorSegments, theta, thetaOffset, phi, phiOffset, }?: TorusOptions, ...args: any[]): import("../types.js").SimplicialComplex;
